## GstInterpolationControlSource GstInterpolationControlSource — interpolation control source |

## Functions

GstControlSource * | gst_interpolation_control_source_new ()

## Properties

GstInterpolationMode | mode | Read / Write

## Types and Values

struct | GstInterpolationControlSource
enum | GstInterpolationMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstTimedValueControlSource
                        ╰── GstInterpolationControlSource

## Includes

    #include <gst/controller/controller.h>

## Description

GstInterpolationControlSource is a GstControlSource, that interpolates values between user-given control points. It supports several interpolation modes and property types.

To use GstInterpolationControlSource get a new instance by calling `gst_interpolation_control_source_new()`, bind it to a GParamSpec and set some control points by calling `gst_timed_value_control_source_set()`.

All functions are MT-safe.

## Functions

### gst_interpolation_control_source_new ()

    GstControlSource *
    gst_interpolation_control_source_new (void);

This returns a new, unbound GstInterpolationControlSource.

#### Returns

a new, unbound GstInterpolationControlSource.

[transfer full]

## Types and Values

### struct GstInterpolationControlSource

    struct GstInterpolationControlSource;

The instance structure of GstControlSource.

### enum GstInterpolationMode

The various interpolation modes available.

#### Members

GST_INTERPOLATION_MODE_NONE | steps-like interpolation, default |
GST_INTERPOLATION_MODE_LINEAR | linear interpolation |
GST_INTERPOLATION_MODE_CUBIC | cubic interpolation (natural), may overshoot the min or max values set by the control point, but is more 'curvy' |
GST_INTERPOLATION_MODE_CUBIC_MONOTONIC | monotonic cubic interpolation, will not produce any values outside of the min-max range set by the control points (Since: 1.8) |

## Property Details

### The `“mode”` property

      “mode”                     GstInterpolationMode

Interpolation mode.

Flags: Read / Write

Default value: GST_INTERPOLATION_MODE_NONE